Hudson fails with error "No space left on device" though there is enough space on the system

Hudson is repeatedly failing after building few projects with following stack trace with error "No space left on device", though there is enough space on disk. There are no limits of quotas on any...

Python causing: IOError: [Errno 28] No space left on device: '../results/32766.html' on disk with lots of space

I am running a Python script that is causing the above error. The unusual thing is this script is running on a different machine and is having no problems. The difference is that on the machine...

/var/cache/apt/archives/libdbi-perl_1.612-1_amd64.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

when i am installing the mysql using(sudo apt-get install mysql-server mysql-common mysql-clien) in ubuntu 11.04 i get an error like this: ...

Vagrant error : Failed to mount folders in Linux guest

I have some issues with Vagrant shared folders, my base system is Ubuntu 13.10 desktop. I do not understand why I have this error is something that is not right configured ? Is a NFS issue or...

Completely Remove MySQL Ubuntu 14.04 LTS

I somehow have messed up my MySQL on my Ubuntu server and cannot fix it. I have tried every single combination of apt-get remove --purge mysql-server, apt-get autoremove, apt-get purge, Googled...

Mongodb not able to start in Ubuntu 15.04

I have installed MongoDB 3.0.6 in Ubuntu 15.04 using the following commands. sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 7F0CEB10 echo "deb http://repo.mongodb.org/apt/debian...

Automysqlbackup - Could not open required defaults file: /etc/mysql/debian.cnf

Trying to install AutoMySQLBackup on Ubuntu sudo apt-get update sudo apt-get upgrade apt-get install automysqlbackup I get the following error: Setting up automysqlbackup (2.6+debian.3-1ubuntu1)...

Issues on reinstalling MySQL 5.7 server on Ubuntu 16.04

My server is running on Ubuntu 16.04 I hade some issue with my MySQL configuration, so I've decided to clean up and reinstall the MySQL server. After this command: sudo apt-get install...

dpkg: docker-ce: dependency problems, but removing anyway as you requested: nvidia-docker

I installed the docker on Ubuntu 16.04 by the instruction from this site(https://www.digitalocean.com/community/tutorials/how-to-install-and-use-docker-on-ubuntu-16-04). After run the following...

Update nginx in ubuntu 14.04

In my server, nginx -v returns nginx version: nginx/1.4.6 (Ubuntu), it is very old, so I decided to update it to the latest stable version. Then, I followed this answer: sudo apt-get update sudo...

Windows Linux Subsystem and postgresql connection failed

There seems to be lots of questions likes this on stackoverflow, but none of them seemed to help me. I am runing Ubuntu on my windows linux subsystem and trying to install and use postgresql. I...

Unable to set password for the MySQL "root" user: An error occurred while setting the password for the MySQL administrative user

Recently, I tried to install mysql-server in a BOSH Lite job container which uses Ubuntu Trusty as the base OS image. I used the following set of shell commands in my job control...

Gitian build compile errors

I am doing altcoin compiling for make windows build in debian OS in VirtualBox in Windows10 laptop. I did at terminal below, ./bin/gbuild --commit funcoin=v0.8...

RabbitMQ installation Error

I am installing rabbitMQ on ubuntu16.04. But I am getting below error. I tries searching for it but not able to resolve it. Adding group `rabbitmq' (GID 131) ... Done. Adding system user...

Problems with installing InfluxDB on Ubuntu16.04

I'm trying to install InfluxDB on my linux server. I ran sudo apt-get install influxdb and got the following output: Reading package lists... Done Building dependency tree Reading state...

Error when installing packages on AWS EC2 instance

I need to install S3FS package to mount S3 storage onto EC2 instance. To do this, I executed following commands. Update [email protected]:~$ sudo apt-get update Hit:1...

Ngnix, unable to install

I installed Nginx in Ubuntu and which was not working as expected so I removed and trying to install it again but it is not installing and throwing some exceptions: The command I used: sudo apt...

No welcome page after openCPU install in fresh Ubuntu 18.04 instance

I am trying to install OpenCPU 2.1 on a fresh free tier AWS server. I followed [https://aws.amazon.com/getting-started/tutorials/?awsf.getting-started-content=use-case-tmt%23websites-apps], and...

Vagrant - No guest IP was given to the Vagrant core NFS helper

Recently our Vagrant DEV VM's will no longer boot on virtualbox (windows 10). Is this related to the current kernel bug that is causing issues with a lot of the distributions? BUG:...

Can't Installing mysql in Linux mint 19

I am a beginner Linux user. Yesterday, I tried to install MySQL on my Linux mint laptop. I have installed Apache successfully, but I have got the following errors while trying to install...

Unable to install/run docker-ce on Ubuntu

I'm having an absolute nightmare installing docker-ce. I had a previous install running on my machine which was misbehaving, it was running an old version so I decided to just uninstall and...

Downgrading Elastic Search from 7 to 6?

I am trying to downgrade Elastic Search from 7 to 6 as the application I am using only works on 6. When I install 6 I get boosted to 7 for some reason: { "name" : "activecollab-v6", ...

apt update and upgrade always fail the second time when I execute Ansible playbook

I have a ubuntu (16 or 18) EC2 and I use an Ansible playbook to install packages such as rabbitmq. etc on it. The first time when I install I get no error. but if I run playbook the second time I...

invoke-rc.d: could not determine current runlevel

What is this kind of problem in installing mysql in WSL? invoke-rc.d: could not determine current runlevel * Stopping MySQL database server mysqld ...

Nvidia Driver Won't Load on Ubuntu 16.04.4 LTS

I am trying to install NVIDIA Driver for Titan Xp. I type the following for installation: sudo apt-get install nvidia-418 The installation runs with no errors. However, after rebooting the...

Docker - Cannot build multi-platform images with docker buildx

I'm trying to build a multi-platform (amd64, arm64 and armv7) image using docker buildx. Since I'm using an amd64 machine running Ubuntu 18.04, I followed the instructions on the Docker website...

cat: "Permission denied" inside a docker container for existing file with proper permissions

I'm new to docker and started with simple examples, but get "Permission denied": [email protected]:~$ sudo docker run prakhar1989/static-site sh -c 'echo foo > delete.me;echo bar >> delete.me;ls -l;type...

I cannot install mysql on ubuntu 18.04

I am trying to install mysql-server on my ubuntu 18.04 ,but I am getting the dpkg error The terminal output after sudo apt-get install mysql-server is Reading package lists... Done Building...

MySQL install is broken, cant install

My MySQL community install was broken, so i reinstalled it. Now, it won't install at all. Help! This is the output when running sudo apt-get install mysql-server Setting up mysql-client-5.7...

Connect MySQL Workbench on WSL MySQL?

I have installed MySQL on WSL2 with the following $ sudo apt remove --purge *mysql* $ sudo rm -rf /var/lib/mysql $ sudo apt install -y mysql-server mysql-client invoke-rc.d: could not determine...